\documentclass{beamer}
%\usetheme{default}
%% Chose one of these theme
%\usetheme{Frankfurt}  % 3 options: minimal, sidebarleft, sidebarright
%\usetheme{Singapore}
%\usetheme{Madrid}
\usetheme{Hannover}
%\usetheme{Goettingen}
%\usetheme{CambridgeUS}
%\usetheme{Berkeley}
%\usetheme{Warsaw}

%% End of theme

\title{Java programming}
\author{Ton That Tam Dinh \inst{1} \inst{2}}
%\date{1/2/1997}
\institute[Caltech]
{
	\inst{1}
	Department of Computer Science\\
	Vietnam National University
	\and
	\inst{2}
	Department of Computer Science\\
	California Institute of Technology
}
\date[ICUP, 2014]
{Final Thesis Report\\
	April 1st, 1997}
\AtBeginSection[]
{
	\begin{frame}
	\frametitle{Table of Contents}
	\tableofcontents[currentsection]
\end{frame}
}
%------------------------------------------------------------



\begin{document}

\begin{frame}[plain]
    \maketitle
\end{frame}

\begin{frame}
\frametitle{Table of Contents}
\tableofcontents
\end{frame}

\begin{frame}{References and Textbook}
\begin{itemize}
	\item Java: The Complete Reference,9th Editionby Herbert
	\item Effective Java, 2nd edition by Joshua Bloch
	\item http://rifatshahriyar.github.io/CSE201.html
\end{itemize}
\end{frame}


\section{Inehritance}
\subsection{Inheritance}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Overriding}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Abstract class}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Object Class}
\begin{frame}{Frame 2nd}
\end{frame}


\section{Package, Interface and Exception}
\subsection{Package}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Interface}
\begin{frame}{Frame 2nd}
	\end{frame}
\subsection{Exception}
\begin{frame}{Frame 2nd}
	\end{frame}

\section{Enumeration, TypeWrappers and Autoboxing}
\subsection{Enumeration}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Type Wrappers}
\begin{frame}{Frame 2nd}
	\end{frame}

\subsection{Auto(boxing/unboxing)}
\begin{frame}{Frame 2nd}
	\end{frame}


\section{Thread}
\subsection{Multitasking}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Main Thread}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Thread Pool}
\begin{frame}{Frame 2nd}
\end{frame}

\subsection{Synchronization}
\begin{frame}{Frame 2nd}
\end{frame}

\section{Networking}
\subsection{TCP}
\subsection{UDP}
%\section{Collection}
%\section{I/O}
%\section{Swing}
%\section{FX}
\begin{frame}{Frame 1st}
\end{frame}

\begin{frame}{Frame 2nd}
\end{frame}


\begin{frame}{Frame 3rd}
\end{frame}


\begin{frame}{Frame 4th}
\begin{itemize}
	\item Item 1
	\item Item 1
	\item Item 1
	\item Item 1
\end{itemize}
\end{frame}

\begin{frame}{Frame 5th}
\begin{center}
	\Huge Question?
\end{center}
\end{frame}




\end{document}
